/* Shared library add-on to iptables to add Hairpinning support. */
#include <stdio.h>
#include <netdb.h>
#include <string.h>
#include <stdlib.h>
#include <getopt.h>
#include <iptables.h>
#include <linux/netfilter_ipv4/ip_tables.h>
#include <linux/netfilter_ipv4/ip_nat_rule.h>

/* Hairpinning NAT data consists of a multi-range, indicating where to map to. */
struct ipt_natinfo
{
	struct ipt_entry_target t;
	struct ip_nat_multi_range mr;
};

/* Function which prints out usage message. */
static void help(void)
{
	printf("DNATP2P : use with net-wall!\n");
}

/* Function which parses command options; returns true if it ate an option */
static int parse(int c, char **argv, int invert, unsigned int *flags,
	const struct ipt_entry *entry,
	struct ipt_entry_target **target)
{
	printf("DNATP2P : use net-wall instead!\n");
	return 1;
}

/* Final check; must have specfied --to-source. */
static void final_check(unsigned int flags)
{
}

/* Prints out the targinfo. */
static void print(const struct ipt_ip *ip,
	const struct ipt_entry_target *target,
	int numeric)
{
	struct in_addr addr;
	struct ipt_natinfo *info = (void *)target;

	addr.s_addr = info->mr.range[0].min_ip;
	printf("to:%s", addr_to_dotted(&addr));
}

/* Saves the union ipt_targinfo in parsable form to stdout. */
static void save(const struct ipt_ip *ip, const struct ipt_entry_target *target)
{
}

static struct iptables_target dnatp2p_reg = {
	.next		= NULL,
	.name		= "DNATP2P",
	.version	= IPTABLES_VERSION,
	.size		= IPT_ALIGN(sizeof(struct ip_nat_multi_range)),
	.userspacesize	= IPT_ALIGN(sizeof(struct ip_nat_multi_range)),
	.help		= &help,
	.parse		= &parse,
	.final_check	= &final_check,
	.print		= &print,
	.save		= &save,
	.extra_opts	= NULL
};

void _init(void)
{
	register_target(&dnatp2p_reg);
}
