#ifndef _IP_CONNTRACK_ESP_H
#define _IP_CONNTRACK_ESP_H

#if 0
#define DEBUGP(format, args...) \
	printk("%s:%s " format, __FILE__, __FUNCTION__, ## args)
#else
#define DEBUGP(format, args...)
#endif

#define ESP_REF_TMOUT   (30 * HZ)
#define ESP_CONN_TMOUT  (60 * HZ * 6)
#define ESP_TMOUT_COUNT (ESP_CONN_TMOUT/ESP_REF_TMOUT)

#define IPSEC_FREE     0
#define IPSEC_INUSE    1
#define MAX_PORTS      64
#define TEMP_SPI_START 1500

/*
union ip_conntrack_manip_proto
{
	u_int16_t all;

	struct {
		u_int16_t spi;
	} esp;
};

struct ip_conntrack_tuple
{
	struct ip_conntrack_manip src;

	struct {
		u_int32_t ip;
		union {
			u_int16_t all;

			struct {
				u_int16_t spi;
			} esp;
		} u;

		u_int8_t protonum;

		u_int8_t dir;
	} dst;
};

we should modify ip_conntrack_tuple & ip_conntrack_manip_proto as above.
but we haven't, so define below */
#define esp_spi all

struct esphdr {
	u_int32_t spi;
	u_int32_t seq;
};

struct _esp_table {
        u_int32_t l_spi;
        u_int32_t r_spi;
        u_int32_t l_ip;
        u_int32_t r_ip;
        u_int32_t timeout;
        u_int16_t tspi;
        struct ip_conntrack *ct;
        struct timer_list   refresh_timer;
        int                 timer_active;
        int                 pkt_rcvd;
        int                 ntimeouts;
        int       inuse;
};

#endif /* _IP_CONNTRACK_ESP_H */
