print_pppoe_options(){
cat <<EOF
noipdefault
defaultroute
hide-password
$2
noauth
noaccomp
default-asyncmap
connect /bin/true
mtu $3
mru $3
$4
$5
lcp-echo-interval 10
lcp-echo-failure 3
user $1
plugin rp-pppoe.so $8
$6
$7
EOF
}

print_pptp_options(){
    cat <<EOF
noauth
noipdefault
defaultroute
ipparam pptp
refuse-eap
mtu $2
mru $2
$3
$4
$6
lcp-echo-interval 20
lcp-echo-failure 4
user $1
plugin dni-pptp.so $5
$7
pptp_iface $8
EOF
}

insert_modules(){
    if [ "$1" = "pptp" ]; then
	load_modules /etc/modules.d/60-pptp-mod
    else
	load_modules /etc/modules.d/60-pppoe-mod
    fi
}

print_ip_up() 
{
    cat <<EOF
#!/bin/sh
/www/cgi-bin/firewall.sh start
/sbin/cmdroute stop
/usr/bin/killall -SIGINT ripd
/sbin/cmdroute start
/usr/sbin/ripd
echo -n 1 > /etc/ppp/ppp0-status
cat /proc/uptime | awk '{print$1}' > /tmp/ppp/ppp_last_conn_time
/sbin/cmd_traffic_meter config_update
/sbin/ledcontrol -n wan -c green -s on
EOF
}

print_ip_down()
{
    cat <<EOF
#!/bin/sh
/usr/bin/killall -SIGINT ripd
echo -n 0 > /etc/ppp/ppp0-status
cat /proc/uptime | awk '{print$1}' > /tmp/ppp/ppp_last_stop_time
/sbin/cmd_traffic_meter config_update
/sbin/ledcontrol -n wan -c amber -s on
EOF
}

setup_interface_ppp() {
    local user passwd dns mtu mru idle demand service ip proto gw

    mknod /dev/ppp c 108 0
    mkdir -p /tmp/ppp
    mkdir -p /etc/ppp/peers

    #[ ! -f /etc/ppp/ip-up ] && echo "#!/bin/sh" /etc/ppp/ip-up
    #[ ! -f /etc/ppp/ip-down ] && echo "#!/bin/sh" /etc/ppp/ip-down
    print_ip_up > /etc/ppp/ip-up
    chmod 0777 /etc/ppp/ip-up
    print_ip_down > /etc/ppp/ip-down
    chmod 0777 /etc/ppp/ip-down

    proto=$($CONFIG get wan_proto)
    if [ "$proto" = "pptp" ]; then
	insert_modules "pptp"
	user=$($CONFIG get wan_pptp_username)
	passwd=$($CONFIG get wan_pptp_password)
	mtu=$($CONFIG get wan_pptp_mtu)
	if [ "$($CONFIG get wan_endis_dod)" = "1" ]; then
	    idle="idle $($CONFIG get wan_pptp_idle_time)"
	    demand="demand"
	elif [ "$($CONFIG get wan_endis_dod)" = "2" ]; then
	    [ "x$1" != "xmanually" -a "x$($CONFIG get run_test)" != "xtest" ] && exit 0
	    idle="runone"
	else
	    idle="persist"
	fi
	if [ "$($CONFIG get wan_pptp_wan_assign)" != "0" ]; then
	    route=$($CONFIG get pptp_gw_static_route)
	    [ "x$route" != "x" ] && gw="pptp_gateway $route"
	fi
	[ "$($CONFIG get wan_pptp_dns_assign)" != "1" ] && dns="usepeerdns"
	ip=$($CONFIG get wan_pptp_server_ip)
	print_pptp_options "$user" "${mtu:-1492}" "$idle" "$demand" "$ip" "$dns" "$gw" "$WAN_IF" > /etc/ppp/peers/dial-provider
        sed -i '/user/ s/\\/\\\\/g' /etc/ppp/peers/dial-provider
        sed -i '/user/ s/\#/\\#/g' /etc/ppp/peers/dial-provider
    else
	insert_modules "pppoe"
	user=$($CONFIG get wan_pppoe_username)
	passwd=$($CONFIG get wan_pppoe_passwd)
	mtu=$($CONFIG get wan_pppoe_mtu)
	[ "$($CONFIG get wan_pppoe_dns_assign)" != "1" ] && dns="usepeerdns"
	if [ "$($CONFIG get wan_endis_dod)" = "1" ]; then
	    idle="idle $($CONFIG get wan_pppoe_idletime)"
	    demand="demand"
	elif [ "$($CONFIG get wan_endis_dod)" = "2" ]; then
	    [ "x$1" != "xmanually" -a "x$($CONFIG get run_test)" != "xtest" ] && exit 0
	    idle="runone"
	else
	    idle="persist"
	fi
	[ "x$($CONFIG get wan_pppoe_service)" != "x" ] && service="rp_pppoe_service $($CONFIG get wan_pppoe_service)"
	[ "$($CONFIG get wan_pppoe_wan_assign)" = "1" ] && ip="$($CONFIG get wan_pppoe_ip):" 
	print_pppoe_options "$user" "$dns" "${mtu:-1492}" "$idle" "$demand" "$service" "$ip" "$WAN_IF" > /etc/ppp/peers/dial-provider
        sed -i '/user/ s/\\/\\\\/g' /etc/ppp/peers/dial-provider
        sed -i '/user/ s/\#/\\#/g' /etc/ppp/peers/dial-provider
	
	sed -i '/rp_pppoe_service/ s/\\/\\\\/g' /etc/ppp/peers/dial-provider
	sed -i '/rp_pppoe_service/ s/\#/\\#/g' /etc/ppp/peers/dial-provider
	
	
    fi
    echo "${user} * \"${passwd}\"" > /etc/ppp/chap-secrets
    sed -i 's/\\/\\\\/g' /etc/ppp/chap-secrets
    sed -i 's/\#/\\#/g' /etc/ppp/chap-secrets
    
    echo "${user} * \"${passwd}\"" > /etc/ppp/pap-secrets
    sed -i 's/\\/\\\\/g' /etc/ppp/pap-secrets
    sed -i 's/\#/\\#/g' /etc/ppp/pap-secrets

    if [ "$proto" = "pptp" -a "$($CONFIG get wan_pptp_wan_assign)" = "0" ]; then
    	echo "Start PPTP by DHCP module"
    else
        pppd call dial-provider updetach
    fi
}

